// pages/details/index.js
const api = require('../../api/index.js');

Page({

  /**
   * 页面的初始数据
   */
  data: {
    optionsname:'',
    selectbalance:[]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
console.log(options);
this.setData({
  optionsname:options.name
})
wx.setNavigationBarTitle({
  title: options.name,
  // 失败回调，避免设置失败无提示
  fail: (err) => {
    console.error("设置导航标题失败：", err);
  }
});
this.getSysBalance()
  },
getSysBalance(){
  let data = {
  }
  api.request(`/SysBalance/selecthistorybalance`, 'post', data, { isPublic: false })       
  .then((data) => {
    console.log(data);
    if (data.code == 200) {
      this.setData({
        selectbalance:data.data
      })
      
    }
  })
  .catch((err) => {
    this.showInfo('操作失败');
  });
},
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})